<!doctype html>
<html class="no-js" lang="">
    
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>DIAMOND SMILEZ CARE</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="manifest" href="site.html">
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/logo/fav.png">
        <!-- Place favicon.ico in the root directory -->

        <!-- CSS here -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
        <link rel="stylesheet" href="assets/css/owl.carousel.min.css">
        <link rel="stylesheet" href="assets/css/animate.css">
        <link rel="stylesheet" href="assets/css/magnific-popup.css">
        <link rel="stylesheet" href="assets/css/all.min.css">
        <link rel="stylesheet" href="assets/css/flaticon.css">
        <link rel="stylesheet" href="assets/css/font.css">
        <link rel="stylesheet" href="assets/css/themify-icons.css">
        <link rel="stylesheet" href="assets/css/metisMenu.css">
        <link rel="stylesheet" href="assets/css/nice-select.css">
        <link rel="stylesheet" href="assets/css/slick.css">
        <link rel="stylesheet" href="assets/css/main.css">
    </head>

    <body>
  
        <!-- preloader -->
        <div id="preloader">
            <div class="preloader">
                <span></span>
                <span></span>
            </div>
        </div>
        <!-- preloader end  -->
        <!-- header-area start -->
        <header id="top-menu">
            <div class="header-top-area theme-bg pt-10 pb-10 d-none d-lg-block">
                <div class="container">
                    <div class="header-top-bg">
                        <div class="row align-items-center">
                            <div class="col-xl-6 col-lg-6">
                               
                                    <div class="top-cta">
                                        <span> <a href="tel:786-661-7582"><i class="fal fa-phone"></i> Call :786-661-7582</a></span>
                                        <span class="mail"><a href="mailto:seirradiamondz@gmail.com"><i class="fal fa-envelope"></i> Email : seirradiamondz@gmail.com</a></span>
                                    </div>
                            </div>
                            <div class="col-xl-6 col-lg-6">
                                <div class="top-right-nav text-right">
                                    <div class="top-social">
                                        <a href="#"><i class="fab fa-facebook-f text-white"></i></a>
                                        <a href="#" class="mx-2"><i class="fab fa-linkedin-in text-white"></i></a>
                                        <a href="#"><i class="fab fa-yelp text-white"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="main-header-area">
                <div class="container custom-container">
                    <div class="main-header-bg">
                        <div class="row align-items-center justify-content-between">
                            <div class="col-xl-3 col-lg-3 col-md-6 col-6">
                                <div class="logo">
                                    <a class="logo-img" href="index.php"><img src="assets/img/logo/logo.png" alt=""></a>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-8 d-none d-lg-block">
                                <div class="main-menu d-none d-lg-block">
                                    <nav>
                                        <ul>
                                            <li><a href="#home">Home</a></li>
                                            <li><a href="#about">About Us</a></li>
                                            <li><a href="#service">Our Services</a></li>
                                            <li><a href="#testi">Testimonials</a></li>
                                            <li><a href="#whyus">Why Choose Us</a></li>
                                        </ul>
                                    </nav>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-1 col-md-6 col-6 text-right">
                                <div class="hamburger-menu d-lg-block d-xl-none">
                                    <a href="javascript:void(0);">
                                        <i class="far fa-bars"></i>
                                    </a>
                                </div>
                                <div class="main-header-right-one d-none d-xl-block d-xl-flex align-items-center ">
                                    <div class="donate">
                                        <a href="index.php#contact" class="theme_btn">Contact Us <i class="fal fa-phone-office"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- header-area end -->
        <!-- slide-bar start -->
        <aside class="slide-bar">
            <div class="close-mobile-menu">
                <a href="javascript:void(0);"><i class="fas fa-times"></i></a>
            </div>

            <!-- offset-sidebar start -->
            <div class="offset-sidebar">
                <div class="offset-widget offset-logo mb-30">
                    <a href="index.php">
                        <img src="assets/img/logo/logo.png" class="w-100" alt="logo">
                    </a>
                </div>
                <div class="offset-widget mb-40">
                    <div class="info-widget">
                        <h4 class="offset-title mb-20">About Us</h4>
                        <p class="mb-30">
                            To create a better everyday life for people with disabilities. Delivering great quality service to all individuals despite Race, Age, Sex or Religion.
                        </p>
                        <a class="theme_btn" href="index.php#contact">Contact Us</a>
                    </div>
                </div>
                <div class="offset-widget mb-30 pr-10">
                    <div class="info-widget info-widget2">
                        <h4 class="offset-title mb-20">Contact Info</h4>
                        <p> <a href="tel:786-661-7582"><i class="fal fa-phone"></i> 786-661-7582</a></p>
                        <p> <a href="mailto:seirradiamond@bellsouth.net"><i class="fal fa-envelope"></i> seirradiamond@bellsouth.net </a></p>
                        <p> <a href="mailto:seirradiamondz@gmail.com"><i class="fal fa-envelope-open"></i> seirradiamondz@gmail.com </a></p>
                    </div>
                </div>
            </div>
            <!-- offset-sidebar end -->

            <!-- side-mobile-menu start -->
            <nav class="side-mobile-menu">
                <ul id="mobile-menu-active">
                    <li><a href="index.php#home">Home</a></li>
                    <li><a href="index.php#about">About Us</a></li>
                    <li><a href="index.php#service">Our Services</a></li>
                    <li><a href="index.php#testi">Testimonials</a></li>
                    <li><a href="index.php#whyus">Why Choose Us</a></li>
                    <li><a href="index.php#contact">Contacts Us</a></li>
                </ul>
            </nav>
            <!-- side-mobile-menu end -->
        </aside>
        <div class="body-overlay"></div>
        <!-- slide-bar end -->

        <main>
            <!--slider-area start-->