<?php
include("header.php");
?>

<!--slider-area start-->
<div class="slider-area pos-rel" id="home">
    <div class="slider-active">
        <div class="single-slider slider-height pos-rel d-flex align-items-center"
             style="background-image: url(assets/img/slider/sl1.png);">
            <div class="slider-shape d-none d-md-inline-block"><img src="assets/img/icon/heart1.png" alt=""></div>
            <div class="container">
                <div class="row">
                    <div class="col-xl-7">
                        <div class="slider__content text-left">
                            <span class="sub-title mb-30">Welcome Diamond Smilez Care</span>
                            <h1 class="main-title mb-40" data-animation="fadeInUp" data-delay=".3s">Leader In Skilled 
                                Diamond Smilez Care.</h1>
                          
                            <ul class="btn-list">
                                <li><a class="theme_btn" href="index.php#contact" data-animation="fadeInLeft"
                                       data-delay=".7s">Get Started <i class="far fa-long-arrow-right"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="single-slider slider-height pos-rel d-flex align-items-center"
             style="background-image: url(assets/img/slider/sl2.jpg);">
            <div class="slider-shape d-none d-md-inline-block"><img src="assets/img/icon/heart1.png" alt=""></div>
            <div class="container">
                <div class="row">
                    <div class="col-xl-7">
                        <div class="slider__content text-left">
                            <span class="sub-title mb-30">Welcome Diamond Smilez Care</span>
                            <h1 class="main-title mb-40" data-animation="fadeInUp" data-delay=".3s">Leader In Skilled 
                                Diamond Smilez Care.</h1>
                            
                            <ul class="btn-list">
                                <li><a class="theme_btn" href="index.php#contact" data-animation="fadeInLeft"
                                       data-delay=".7s">Get Started <i class="far fa-long-arrow-right"></i></a></li>
                               
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--slider-area end-->

<!--about-company-area start-->
<section class="about-company-area pt-130 pb-100" id="about">
    <div class="container">
        <div class="row">
            <div class="col-xl-6 col-lg-6 col-md-12" style="align-self: center;">
                <div class="about-img pos-rel mb-30">
                    <div class="about-pair-img" data-tilt data-tilt-max="3">
                        <img src="assets/img/about/ab1.jpg" class="w-100" alt="">
                    </div>
                </div>
            </div>
            <div class="col-xl-6 col-lg-6 col-md-12">
                <div class="about-wrapper pl-20">
                    <div class="section-title">
                        <h6 class="mb-25"><i class="far fa-plus"></i> Learn About Company</h6>
                        <h2><b class="speacial-text">Our Company</b></h2>
                    </div>
                    <div class="about-text d-sm-flex align-items-center mb-25">
                        <p> Supports adults in our community with disability. We strive to provide the best  caregiving and companionship services to relief the challenges that many families may face. Our company provides residential services to make your family members feel welcome & safe. Giving your love ones independence and a voice. </p>
                    </div>
                    <h3 class="mb-0 mt-3">Regain Independence</h3>
                    <p>Our caregivers assist our residence with daily living skills. In addition, we provide daily meal preparation, housekeeping, laundry, administration of medication, and transportation services. We aid in locating community resources such as therapies, life coaching skills, and community outreach programs.</p>
                    <h3 class="mb-0 mt-3">Diamond Smilez Care</h3>
                    <p>Allows our residence the freedom to make choices, and the support to accomplish life goals.</p>
                </div>
            </div>
        </div>
    </div>
</section>
<!--about-company-area end-->

<!--promotion-area start-->
<section class="promotion-area-02 pos-rel pt-125 pb-95 bg-light">
    <div class="promotion2-shape"></div>
    <div class="container">
        <div class="row">
            <div class="col-xl-8 offset-xl-2">
                <div class="section-title text-center mb-80">
                    <h2>Our Mission Vision and Goal</h2>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4 col-lg-4 col-md-6">
                <div class="promotion promotion-02 text-center white-bg mb-30">
                    <div class="promotion__icon mb-35">
                        <i class="flaticon-network"></i>
                    </div>
                    <h5 class="semi-title mb-10"><a  class="font-weight-bold">Our Vision</a></h5>
                    <p class="mb-15">To create a better everyday life for people with disabilities. Delivering great quality service to all individuals despite Race, Age, Sex or Religion.</p>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-6">
                <div class="promotion promotion-02 text-center white-bg mb-30">
                    <div class="promotion__icon mb-35">
                        <i class="flaticon-social-care"></i>
                    </div>
                    <h5 class="semi-title mb-10"><a class="font-weight-bold">Our Mission</a></h5>
                    <p class="mb-15">Is to earn and maintain the trust of those that we serve through quality care and   continuously providing our consumer with a nurturing environment in which to thrive.</p>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-6 offset-md-3 offset-lg-0">
                <div class="promotion promotion-02 text-center white-bg mb-30">
                    <div class="promotion__icon mb-35">
                        <i class="flaticon-heart"></i>
                    </div>
                    <h5 class="semi-title mb-10"><a class="font-weight-bold">Our Goal</a></h5>
                    <p class="mb-15">Is to fulfill our mission by providing best quality of care and services to residence, maintaining a healthy environment with love and patience for all individuals.</p>
                </div>
            </div>
        </div>
    </div>
</section>
<!--promotion-area end-->

<!--promotion-area start-->
<section class="promotion-area promotion-area-03 pt-125 pb-95" id="service">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 offset-xl-2">
                <div class="section-title text-center mb-75">
                    <h6 class="mb-20"><i class="far fa-plus"></i> What We Offer <i class="far fa-plus"></i></h6>
                    <h2>Our Services</h2>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img">
                            <img src="assets/img/promotion/x5.jpg" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Assist in Daily<br> Grooming</a></li>
                        </ul>
                    </div>
                </div>
            </div>
           
            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img">
                            <img src="assets/img/promotion/x1.jpg" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Nutritional Meal<br> Preparation</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img">
                            <img src="assets/img/promotion/s2.png" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Medication Administration and Safe Handling</a></li>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img pb-3">
                            <img  src="assets/img/promotion/x3.jpeg" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Community Outreach <br>Programs</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-3 col-md-6 ">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img pb-3">
                            <img  src="assets/img/promotion/x4.jpeg" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Life Coaching Skills</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img">
                            <img src="assets/img/promotion/s5.png" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Therapy Services</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img">
                            <img src="assets/img/promotion/x2.jpeg" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Daily Housekeeping </a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-3 col-md-6">
                <div class="promotion text-center grey-bg mb-30">
                    <div class="promotion__thumb">
                        <div class="person--img">
                            <img  src="assets/img/promotion/x6.jpg" alt="">
                        </div>
                        <ul class="promotion--btn">
                            <li><a class=" promotion-title text-white"  >Transportation Services</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--promotion-area end-->

<!--chose-us-area start-->
<section class="chose-us-area pt-130">
    <div class="video-area video-area2" style="background-image: url(assets/img/chose/c2.jpg);">
    </div>
    <div class="container pl-0 pr-0" id="whyus">
        <div class="row no-gutters">
            <div class="col-xl-6 offset-xl-6 col-lg-12">
                <div class="chose-wrapper2 pl-80 pr-30 pb-80">
                    <div class="section-title text-left mb-35">
                        <h6 class="mb-20"><i class="far fa-plus"></i> Why Choose Us</h6>
                        <h2>Explore your (Needs) with Diamond Smilez Care.</h2>
                    </div>

                    <div class="chose-box d-sm-flex mb-30">
                        <div class="chose-icon mr-35">
                            <i class="flaticon-heart"></i>
                        </div>
                        <div class="chose-content">
                            <h5 class="semi-title">Establishment</h5>
                            <p>Diamond Smilez Care will establish direct connections between resources, processes, programs goals and personal outcomes identified by the consumer, and or family, and will focus on the items and issues that are vital to the consumer’s life. Identify goals and objectives will be updated annually to describe the goals desires and hobbies.</p>
                        </div>
                    </div>
                    <div class="chose-box d-sm-flex mb-30">
                        <div class="chose-icon mr-35">
                            <i class="flaticon-old-woman"></i>
                        </div>
                        <div class="chose-content">
                            <h5 class="semi-title">Provide Home Visit Care</h5>
                            <p>The efficient and organised way of working at Diamond Smilez Care allows us to cater to patients from across the globe with the best in healthcare.</p>
                        </div>
                    </div>
                    <div class="chose-box d-sm-flex mb-30">
                        <div class="chose-icon mr-35">
                            <i class="flaticon-elderly"></i>
                        </div>
                        <div class="chose-content">
                            <h5 class="semi-title">Cost-efficient Quality Care</h5>
                            <p>Diamond Smilez Care is committed to providing effective, high quality, cost-effective health care in its APD guidelines proven residential standard care.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--chose-us-area end-->

<!--testimonial-area start-->
<section class="testimonial-area-02 pt-80 pb-130" id="testi">
    <div class="container">
        <div class="row">
            <div class="col-xl-6 offset-xl-3">
                <div class="section-title text-center mb-75">
                    <h6 class="mb-20"><i class="far fa-plus"></i> Our Testimonials <i class="far fa-plus"></i>
                    </h6>
                    <h2>What Our Clients Say
                        About Our Caring</h2>
                </div>
            </div>
        </div>
        <div class="testimonial-wrapper-02">
            <div class="testimonial-active-02">
                <div class="testimonial-item">
                    <div class="testimonial-author d-sm-flex align-items-center mr-50 ml-50">
                        <div class="author-img mr-20">
                            <img src="assets/img/testimonial/testimonial3.jpg" alt="">
                        </div>
                        <div class="author-content">
                            <h5 class="semi-title">Camyla Ferraca</h5>
                        </div>
                    </div>
                    <p class="testimonial-text">The Diamond Smilez Care Success team has proven to be extremely effective in community residential health care. Their expertise in search engine optimization, social media, and online advertising is warm and welcoming new residents I will highly recommend them.</p>
                </div>
                <div class="testimonial-item">
                    <div class="testimonial-author d-sm-flex align-items-center mr-50 ml-50">
                        <div class="author-img mr-20">
                            <img src="assets/img/testimonial/t3.jpg" alt="">
                        </div>
                        <div class="author-content">
                            <h5 class="semi-title">Brenda Pickens</h5>
                        </div>
                    </div>
                    <p class="testimonial-text">The Diamond Smilez Care Success team has proven to be extremely effective in community residential health care. Their expertise in search engine optimization, social media, and online advertising is warm and welcoming new residents I will highly recommend them.</p>
                </div>
               
              
                <div class="testimonial-item">
                    <div class="testimonial-author d-sm-flex align-items-center mr-50 ml-50">
                        <div class="author-img mr-20">
                            <img src="assets/img/testimonial/testimonial4.jpg" alt="">
                        </div>
                        <div class="author-content">
                            <h5 class="semi-title">Lorraine McCamley</h5>
                        </div>
                    </div>
                    <p class="testimonial-text">Diamond Smilez Care is committed to providing effective, high quality, cost-effective health care in its APD guidelines proven residential standard care.</p>
                </div>
            </div>
        </div>
    </div>
</section>
<!--testimonial-area end-->

<!--contact-area start-->
<section class="contact-area pt-80 pb-100 bg-light" id="contact">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-lg-12">
                <div class="section-title text-left">
                    <h6 class="mb-20"><i class="far fa-plus"></i> Get In Touch</h6>
                    <h2>Feel Free Don’t Hesited 
                        To Contact With Us </h2>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4">
                <div class="chose-wrapper2 pr-30">
                    <div class="section-title text-left mt-30 mb-35">
                        <h3 class="text-dark">Contact info </h3>
                    </div>
                    <div class="chose-box d-sm-flex mb-30">
                        <div class="chose-icon mr-35">
                            <i class="fa fa-envelope-open"></i>
                        </div>
                        <div class="chose-content">
                            <p class="mt-4 p-1"><a href="mailto:seirradiamond@bellsouth.net" class="text-dark" style="word-break: break-all;">seirradiamond@bellsouth.net</a></p>
                        </div>
                    </div>
                    <div class="chose-box d-sm-flex mb-30">
                        <div class="chose-icon mr-35">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="chose-content">
                            <p class="mt-4 p-1"><a href="mailto:seirradiamondz@gmail.com" class="text-dark" style="word-break: break-all;">seirradiamondz@gmail.com</a></p>
                        </div>
                    </div>
                    <div class="chose-box d-sm-flex mb-30">
                        <div class="chose-icon mr-35">
                            <i class="fa fa-phone"></i>
                        </div>
                        <div class="chose-content">
                            <p class="mt-4 p-1"><a href="tel:786-661-7582" class="text-dark">786-661-7582</a></p>
                          
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-8 col-lg-8">
                <div class="section-title text-left mt-30">
                    <h3>Fill The Form</h3>
                </div>
                <form action="email.php" method="post" enctype="multipart/form-data">
                <div class="contact-form-area  mb-30">
                    <div class="input-area mb-10">
                        <input type="text" class="form-control" name="name" placeholder="Your Full Name">
                    </div>
                    <div class="input-area input-mail mb-10">
                        <input type="email" class="form-control" name="email" placeholder="Your Email Address">
                    </div>
                    <div class="input-area input-phone mb-10">
                        <input type="text" class="form-control" name="phone" placeholder="Your Phone">
                    </div>
                    <div class="input-area input-select mb-10">
                        <input type="text" class="form-control" name="service" placeholder="Service That You Want">
                    </div>
                    <div class="input-message mb-10">
                        <textarea name="message" id="message" cols="30" rows="10" placeholder="Message"></textarea>
                    </div>
                    <div class="submit-btn">
                        <button class="theme_btn" name="send" type="submit">Send Request <i class="fal fa-long-arrow-right"></i></button>
                    </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</section>
<!--contact-area end-->

<?php
include("footer.php");
?>